info.bioinfweb.jphyloio.dataadapters.implementations.store

## Class StoreTreeNetworkGroupDataAdapter

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreAnnotatedDataAdapter<LinkedLabeledIDEvent>
  - - info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreTreeNetworkGroupDataAdapter

- All Implemented Interfaces:
    AnnotatedDataAdapter, ElementDataAdapter<LinkedLabeledIDEvent>, TreeNetworkGroupDataAdapter

      public class StoreTreeNetworkGroupDataAdapter
      extends StoreAnnotatedDataAdapter<LinkedLabeledIDEvent>
      implements TreeNetworkGroupDataAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreTreeNetworkGroupDataAdapter(LinkedLabeledIDEvent treeOrNetworkGroupStartEvent, java.util.List<JPhyloIOEvent> annotations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkedLabeledIDEvent` | `getStartEvent(ReadWriteParameterMap parameters)` Returns the start event of this data element.
    `java.util.Iterator<TreeNetworkDataAdapter>` | `getTreeNetworkIterator(ReadWriteParameterMap parameters)` Returns an iterator providing access to all trees and networks contained in the document to be written.
    `java.util.List<TreeNetworkDataAdapter>` | `getTreesAndNetworks()`
    `StoreObjectListDataAdapter<LinkedLabeledIDEvent>` | `getTreeSets(ReadWriteParameterMap parameters)` Returns a list of tree sets defined for the tree-network-group modeled by this instance.

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.store.StoreAnnotatedDataAdapter

      `getAnnotations, writeMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface info.bioinfweb.jphyloio.dataadapters.AnnotatedDataAdapter

      `writeMetadata`

- - ### Constructor Detail

    - #### StoreTreeNetworkGroupDataAdapter

          public StoreTreeNetworkGroupDataAdapter(LinkedLabeledIDEvent treeOrNetworkGroupStartEvent,
                                                  java.util.List<JPhyloIOEvent> annotations)

  - ### Method Detail

    - #### getStartEvent

          public LinkedLabeledIDEvent getStartEvent(ReadWriteParameterMap parameters)

      Description copied from interface: `ElementDataAdapter`
      Returns the start event of this data element. The returned event can be used to determine the label and ID of the modeled data element or an optionally linked data element.
      Specified by:
        `getStartEvent` in interface `ElementDataAdapter<LinkedLabeledIDEvent>`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the start event of this data element

    - #### getTreeNetworkIterator

          public java.util.Iterator<TreeNetworkDataAdapter> getTreeNetworkIterator(ReadWriteParameterMap parameters)

      Description copied from interface: `TreeNetworkGroupDataAdapter`
      Returns an iterator providing access to all trees and networks contained in the document to be written.
      Specified by:
        `getTreeNetworkIterator` in interface `TreeNetworkGroupDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        the iterator (Maybe empty but not `null`.)

    - #### getTreesAndNetworks

          public java.util.List<TreeNetworkDataAdapter> getTreesAndNetworks()

    - #### getTreeSets

          public StoreObjectListDataAdapter<LinkedLabeledIDEvent> getTreeSets(ReadWriteParameterMap parameters)

      Description copied from interface: `TreeNetworkGroupDataAdapter`
      Returns a list of tree sets defined for the tree-network-group modeled by this instance.
      Specified by:
        `getTreeSets` in interface `TreeNetworkGroupDataAdapter`
      Parameters:
        `parameters` - the parameter map of the calling writer that provides context information for the data request
      Returns:
        a (possibly empty) list of tree sets